--- !ditz.rubyforge.org,2008-03-06/issue 
title: Automatic index raising/lowering not handled in @canonicalise
desc: |-
  The @canonicalise algorithm does not yet use the xperm routines which
  deal with automatic switching of contracted index pairs from upper/lower
  to lower/upper, e.g. v_a w^a = v^a w_a.
type: :bugfix
component: cadabra
release: 
reporter: Kasper Peeters <kasper.peeters@aei.mpg.de>
status: :closed
disposition: :fixed
creation_time: 2009-06-03 21:14:47.188097 Z
references: []

id: 5c264626947a0e6a9f8b454746ecf7a017f429d0
log_events: 
- - 2009-06-03 21:14:48.182729 Z
  - Kasper Peeters <kasper.peeters@aei.mpg.de>
  - created
  - ""
- - 2010-04-04 19:45:37.497846 Z
  - Kasper Peeters <kasper.peeters@aei.mpg.de>
  - closed with disposition fixed
  - Fixed since 1.21.
